Index: trunk/HeuristicLab.Operators/3.3/AlgorithmOperator.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/AlgorithmOperator.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/AlgorithmOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("AlgorithmOperator", "An operator which represents an algorithm represented as an operator graph.")]
-  [StorableClass]
+  [StorableType("A0F318EF-7614-4208-99C0-56DF89D4C23D")]
   public abstract class AlgorithmOperator : SingleSuccessorOperator, IOperatorGraphOperator {
     public static new Image StaticItemImage {
@@ -48,5 +48,5 @@
 
     [StorableConstructor]
-    protected AlgorithmOperator(bool deserializing) : base(deserializing) { }
+    protected AlgorithmOperator(StorableConstructorFlag _) : base(_) { }
     protected AlgorithmOperator(AlgorithmOperator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/Assigner.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/Assigner.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/Assigner.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Assigner", "An operator which clones and assigns the value of one parameter to another parameter.")]
-  [StorableClass]
+  [StorableType("78FF1ACA-3D1E-4541-917F-B0431BAEC593")]
   public sealed class Assigner : SingleSuccessorOperator {
     public LookupParameter<IItem> LeftSideParameter {
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    private Assigner(bool deserializing) : base(deserializing) { }
+    private Assigner(StorableConstructorFlag _) : base(_) { }
     private Assigner(Assigner original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/CheckedMultiOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,5 +25,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("CheckedMultiOperator", "A base class for operators which apply arbitrary many other operators of a specific type that can be checked or unchecked.")]
-  [StorableClass]
+  [StorableType("7C166074-0171-4574-8689-8CDB75A9BB1A")]
   public abstract class CheckedMultiOperator<T> : MultiOperator<T>, ICheckedMultiOperator<T> where T : class, IOperator {
     /// <summary>
@@ -43,5 +43,5 @@
 
     [StorableConstructor]
-    protected CheckedMultiOperator(bool deserializing) : base(deserializing) { }
+    protected CheckedMultiOperator(StorableConstructorFlag _) : base(_) { }
     protected CheckedMultiOperator(CheckedMultiOperator<T> original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/CombinedOperator.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/CombinedOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,5 +22,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("CombinedOperator", "An operator which contains an operator graph.")]
-  [StorableClass]
+  [StorableType("8A035E57-6D50-4797-96D2-BDDD2B1FACC4")]
   public sealed class CombinedOperator : AlgorithmOperator, IParameterizedItem, IStorableContent {
     public string Filename { get; set; }
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    private CombinedOperator(bool deserializing) : base(deserializing) { }
+    private CombinedOperator(StorableConstructorFlag _) : base(_) { }
     private CombinedOperator(CombinedOperator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/Comparator.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/Comparator.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/Comparator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("Comparator", "An operator which compares two items.")]
-  [StorableClass]
+  [StorableType("21C6129E-1D5C-43BB-8E6D-1F1DD5C2E995")]
   public sealed class Comparator : SingleSuccessorOperator {
     public LookupParameter<IItem> LeftSideParameter {
@@ -52,5 +52,5 @@
 
     [StorableConstructor]
-    private Comparator(bool deserializing) : base(deserializing) { }
+    private Comparator(StorableConstructorFlag _) : base(_) { }
     private Comparator(Comparator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/ConditionalBranch.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("ConditionalBranch", "A branch of two operators whose executions depend on a boolean condition. If the boolean condition is not present, the false branch is executed.")]
-  [StorableClass]
+  [StorableType("DAE01CA9-CE0C-48BB-BA7B-6BF380B02862")]
   public class ConditionalBranch : SingleSuccessorOperator {
     public LookupParameter<BoolValue> ConditionParameter {
@@ -52,5 +52,5 @@
 
     [StorableConstructor]
-    protected ConditionalBranch(bool deserializing) : base(deserializing) { }
+    protected ConditionalBranch(StorableConstructorFlag _) : base(_) { }
     protected ConditionalBranch(ConditionalBranch original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/DataReducer.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/DataReducer.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/DataReducer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,9 +27,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
   [Item("DataReducer", "An operator to reduce values of sub scopes.")]
-  [StorableClass]
+  [StorableType("87DC7AB9-4C8D-4FF9-B0B0-70B7E7F32C3C")]
   public sealed class DataReducer : SingleSuccessorOperator {
     #region Parameter Properties
@@ -49,5 +49,5 @@
 
     [StorableConstructor]
-    private DataReducer(bool deserializing) : base(deserializing) { }
+    private DataReducer(StorableConstructorFlag _) : base(_) { }
     private DataReducer(DataReducer original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/DoubleCounter.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("DoubleCounter", "An operator which increments a double variable.")]
-  [StorableClass]
+  [StorableType("0DD61CAD-1FBB-4677-840C-3A1A85D77110")]
   public sealed class DoubleCounter : SingleSuccessorOperator {
     public LookupParameter<DoubleValue> ValueParameter {
@@ -45,5 +45,5 @@
 
     [StorableConstructor]
-    private DoubleCounter(bool deserializing) : base(deserializing) { }
+    private DoubleCounter(StorableConstructorFlag _) : base(_) { }
     private DoubleCounter(DoubleCounter original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/EmptyOperator.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/EmptyOperator.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/EmptyOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,5 +22,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -29,8 +29,8 @@
   /// </summary>
   [Item("EmptyOperator", "An operator which represents an empty statement.")]
-  [StorableClass]
+  [StorableType("E385372F-A82C-4C27-8D93-A5366F454A17")]
   public sealed class EmptyOperator : SingleSuccessorOperator {
     [StorableConstructor]
-    private EmptyOperator(bool deserializing) : base(deserializing) { }
+    private EmptyOperator(StorableConstructorFlag _) : base(_) { }
     private EmptyOperator(EmptyOperator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/HeuristicLab.Operators-3.3.csproj
===================================================================
--- trunk/HeuristicLab.Operators/3.3/HeuristicLab.Operators-3.3.csproj	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/HeuristicLab.Operators-3.3.csproj	(revision 16565)
@@ -18,5 +18,5 @@
     <UpgradeBackupLocation>
     </UpgradeBackupLocation>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <TargetFrameworkProfile>
     </TargetFrameworkProfile>
@@ -108,4 +108,10 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre01\lib\netstandard2.0\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -114,4 +120,7 @@
     <Reference Include="System.Data" />
     <Reference Include="System.Drawing" />
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
     <Reference Include="System.Xml" />
   </ItemGroup>
@@ -120,4 +129,5 @@
     <Compile Include="CombinedOperator.cs" />
     <Compile Include="Operator.InstrumentedOperatorWrapper.cs" />
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <Compile Include="ConditionalBranch.cs" />
Index: trunk/HeuristicLab.Operators/3.3/InstrumentedOperator.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/InstrumentedOperator.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/InstrumentedOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,9 +25,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
   [Item("InstrumentedOperator", "A operator that can execute pre- and post actions.")]
-  [StorableClass]
+  [StorableType("FE448512-394C-471E-B7E4-077FA273C173")]
   public abstract class InstrumentedOperator : SingleSuccessorOperator, IInstrumentedOperator {
     private const string BeforeExecutionOperatorsParameterName = "BeforeExecutionOperators";
@@ -52,5 +52,5 @@
 
     [StorableConstructor]
-    protected InstrumentedOperator(bool deserializing) : base(deserializing) { }
+    protected InstrumentedOperator(StorableConstructorFlag _) : base(_) { }
     protected InstrumentedOperator(InstrumentedOperator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/IntCounter.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("IntCounter", "An operator which increments an integer variable.")]
-  [StorableClass]
+  [StorableType("053589D0-CEF2-465C-98F8-0A1FB7206B60")]
   public sealed class IntCounter : SingleSuccessorOperator {
 
@@ -46,5 +46,5 @@
 
     [StorableConstructor]
-    private IntCounter(bool deserializing) : base(deserializing) { }
+    private IntCounter(StorableConstructorFlag _) : base(_) { }
     private IntCounter(IntCounter original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/LocalRandomCreator.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/LocalRandomCreator.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/LocalRandomCreator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,9 +23,9 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
   [Item("LocalRandomCreator", "Creates a local pseudo random number generator from a global random number generator.")]
-  [StorableClass]
+  [StorableType("C1E56840-D71E-46F0-A964-AB8E9340333C")]
   public sealed class LocalRandomCreator : SingleSuccessorOperator {
     #region Parameter Properties
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    private LocalRandomCreator(bool deserializing) : base(deserializing) { }
+    private LocalRandomCreator(StorableConstructorFlag _) : base(_) { }
     private LocalRandomCreator(LocalRandomCreator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/MultiOperator.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/MultiOperator.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/MultiOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("MultiOperator", "A base class for operators which apply arbitrary many other operators of a specific type.")]
-  [StorableClass]
+  [StorableType("B8991981-2A8E-4A84-914D-24EE977BFB8F")]
   public abstract class MultiOperator<T> : InstrumentedOperator, IMultiOperator<T> where T : class, IOperator {
     private List<IValueParameter<T>> operatorParameters;
@@ -57,5 +57,5 @@
 
     [StorableConstructor]
-    protected MultiOperator(bool deserializing) : base(deserializing) { }
+    protected MultiOperator(StorableConstructorFlag _) : base(_) { }
     protected MultiOperator(MultiOperator<T> original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/Operator.InstrumentedOperatorWrapper.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/Operator.InstrumentedOperatorWrapper.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/Operator.InstrumentedOperatorWrapper.cs	(revision 16565)
@@ -2,5 +2,5 @@
 
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 using ExecutionContext = HeuristicLab.Core.ExecutionContext;
@@ -38,5 +38,5 @@
     }
 
-    [StorableClass]
+    [StorableType("6F0E5A4B-596C-435E-8CCA-969FE8745E92")]
     [NonDiscoverableType]
     private class InstrumentedOperatorWrapper : Operator {
@@ -45,5 +45,5 @@
 
       [StorableConstructor]
-      private InstrumentedOperatorWrapper(bool deserializing) : base(deserializing) { }
+      private InstrumentedOperatorWrapper(StorableConstructorFlag _) : base(_) { }
 
       private InstrumentedOperatorWrapper(InstrumentedOperatorWrapper original, Cloner cloner)
Index: trunk/HeuristicLab.Operators/3.3/Operator.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/Operator.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/Operator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("Operator", "Base class for operators.")]
-  [StorableClass]
+  [StorableType("6AC01841-FF13-41B5-87E4-181F10D08835")]
   public abstract partial class Operator : ParameterizedNamedItem, IOperator, IStatefulItem {
     public static new Image StaticItemImage {
@@ -76,6 +76,5 @@
 
     [StorableConstructor]
-    protected Operator(bool deserializing)
-      : base(deserializing) {
+    protected Operator(StorableConstructorFlag _) : base(_) {
       executionContexts = new Lazy<ThreadLocal<IExecutionContext>>(() => { return new ThreadLocal<IExecutionContext>(); }, LazyThreadSafetyMode.ExecutionAndPublication);
     }
Index: trunk/HeuristicLab.Operators/3.3/Placeholder.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/Placeholder.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/Placeholder.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("Placeholder", "An operator which acts as a placeholder for another operator retrieved from the scope or a parent execution context.")]
-  [StorableClass]
+  [StorableType("B197A6BB-9C18-4E0B-8FE6-D4746C4892CD")]
   public sealed class Placeholder : SingleSuccessorOperator {
     public LookupParameter<IOperator> OperatorParameter {
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    private Placeholder(bool deserializing) : base(deserializing) { }
+    private Placeholder(StorableConstructorFlag _) : base(_) { }
     private Placeholder(Placeholder original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/Plugin.cs.frame
===================================================================
--- trunk/HeuristicLab.Operators/3.3/Plugin.cs.frame	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/Plugin.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Operators/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- trunk/HeuristicLab.Operators/3.3/Properties/AssemblyInfo.cs.frame	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/Properties/AssemblyInfo.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Operators/3.3/ReductionOperation.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/ReductionOperation.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/ReductionOperation.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,7 +24,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
+  [StorableType("1080f82a-f4cd-41db-a474-6578a4b9ec82")]
   public enum ReductionOperations {
     Sum,
@@ -40,5 +41,5 @@
 
   [Item("ReductionOperation", "Represents a certain type of reduction operation.")]
-  [StorableClass]
+  [StorableType("32D733BA-9331-46D2-8BB3-95E23431F00B")]
   public class ReductionOperation : ValueTypeValue<ReductionOperations> {
     public static new Image StaticItemImage {
@@ -47,5 +48,5 @@
 
     [StorableConstructor]
-    protected ReductionOperation(bool deserializing) : base(deserializing) { }
+    protected ReductionOperation(StorableConstructorFlag _) : base(_) { }
     protected ReductionOperation(ReductionOperation original, Cloner cloner) : base(original, cloner) { }
     public ReductionOperation() : base() { }
Index: trunk/HeuristicLab.Operators/3.3/ScopeCleaner.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/ScopeCleaner.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/ScopeCleaner.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("ScopeCleaner", "An operator which removes all variables and sub-scopes from the current scope.")]
-  [StorableClass]
+  [StorableType("A18BFE15-F006-4603-9F66-A6EAABB0FCBF")]
   public sealed class ScopeCleaner : SingleSuccessorOperator {
     private ScopeParameter CurrentScopeParameter {
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    private ScopeCleaner(bool deserializing) : base(deserializing) { }
+    private ScopeCleaner(StorableConstructorFlag _) : base(_) { }
     private ScopeCleaner(ScopeCleaner original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/SingleSuccessorOperator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SingleSuccessorOperator", "A base class for operators which have only one successor.")]
-  [StorableClass]
+  [StorableType("2A75BE8A-26AA-49CD-8152-42AA97C0FF45")]
   public abstract class SingleSuccessorOperator : Operator {
     protected OperatorParameter SuccessorParameter {
@@ -41,5 +41,5 @@
 
     [StorableConstructor]
-    protected SingleSuccessorOperator(bool deserializing) : base(deserializing) { }
+    protected SingleSuccessorOperator(StorableConstructorFlag _) : base(_) { }
     protected SingleSuccessorOperator(SingleSuccessorOperator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/StochasticBranch.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/StochasticBranch.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/StochasticBranch.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("StochasticBranch", "A branch of two operators which are executed with a specified probability.")]
-  [StorableClass]
+  [StorableType("5B4F6317-501A-4D29-A6D7-0B926BAD0A88")]
   public class StochasticBranch : SingleSuccessorOperator {
     public LookupParameter<IRandom> RandomParameter {
@@ -55,5 +55,5 @@
 
     [StorableConstructor]
-    protected StochasticBranch(bool deserializing) : base(deserializing) { }
+    protected StochasticBranch(StorableConstructorFlag _) : base(_) { }
     protected StochasticBranch(StochasticBranch original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/StochasticMultiBranch.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("StochasticMultiBranch", "Selects one of its branches (if there are any) given a list of relative probabilities.")]
-  [StorableClass]
+  [StorableType("9BD4C2C2-945F-4FAD-AE19-28C0D66BE476")]
   public abstract class StochasticMultiBranch<T> : CheckedMultiOperator<T> where T : class, IOperator {
     /// <summary>
@@ -62,5 +62,5 @@
 
     [StorableConstructor]
-    protected StochasticMultiBranch(bool deserializing) : base(deserializing) { }
+    protected StochasticMultiBranch(StorableConstructorFlag _) : base(_) { }
     protected StochasticMultiBranch(StochasticMultiBranch<T> original, Cloner cloner)
       : base(original, cloner) {
@@ -176,8 +176,8 @@
   /// </summary>
   [Item("StochasticMultiBranch", "Selects one of its branches (if there are any) given a list of relative probabilities.")]
-  [StorableClass]
+  [StorableType("33C9B48B-10F7-4832-9F5F-1421A4467A87")]
   public class StochasticMultiBranch : StochasticMultiBranch<IOperator> {
     [StorableConstructor]
-    protected StochasticMultiBranch(bool deserializing) : base(deserializing) { }
+    protected StochasticMultiBranch(StorableConstructorFlag _) : base(_) { }
     protected StochasticMultiBranch(StochasticMultiBranch original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/SubScopesCloner.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/SubScopesCloner.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/SubScopesCloner.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -20,10 +20,6 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Linq;
-using System.Text;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Parameters;
@@ -35,5 +31,5 @@
   /// </summary>
   [Item("SubScopesCloner", "An operator which creates multiple copies of the subscopes of the current scope.")]
-  [StorableClass]
+  [StorableType("1F299CDC-13E0-4F12-9E2D-7D3CAC8C651C")]
   public class SubScopesCloner : SingleSuccessorOperator {
     private ScopeParameter CurrentScopeParameter {
@@ -54,5 +50,5 @@
 
     [StorableConstructor]
-    protected SubScopesCloner(bool deserializing) : base(deserializing) { }
+    protected SubScopesCloner(StorableConstructorFlag _) : base(_) { }
     protected SubScopesCloner(SubScopesCloner original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/SubScopesCounter.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/SubScopesCounter.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/SubScopesCounter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,9 +24,9 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
   [Item("SubScopesCounter", "Counts the number of direct sub-scopes and increments or assigns it to the value given in the parameter.")]
-  [StorableClass]
+  [StorableType("8F19EB3E-EA93-44DA-98C3-D19017FBCA1F")]
   public class SubScopesCounter : SingleSuccessorOperator {
 
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    protected SubScopesCounter(bool deserializing) : base(deserializing) { }
+    protected SubScopesCounter(StorableConstructorFlag _) : base(_) { }
     protected SubScopesCounter(SubScopesCounter original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/SubScopesCreator.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/SubScopesCreator.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/SubScopesCreator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("SubScopesCreator", "An operator which adds new and empty sub-scopes to the current scope.")]
-  [StorableClass]
+  [StorableType("E9669404-045B-45CA-A922-9C81ACBBAF0C")]
   public class SubScopesCreator : SingleSuccessorOperator {
     public ValueLookupParameter<IntValue> NumberOfSubScopesParameter {
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected SubScopesCreator(bool deserializing) : base(deserializing) { }
+    protected SubScopesCreator(StorableConstructorFlag _) : base(_) { }
     protected SubScopesCreator(SubScopesCreator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/SubScopesMixer.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/SubScopesMixer.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/SubScopesMixer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,5 +25,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("SubScopesMixer", "Changes the order of the sub-scopes by repartitioning the sub-scopes such that each new partition contains one scope from each old partition.")]
-  [StorableClass]
+  [StorableType("B69AE39A-B6E9-4ADB-94B4-77E172691D13")]
   public class SubScopesMixer : SingleSuccessorOperator {
     public ValueParameter<IntValue> PartitionsParameter {
@@ -44,5 +44,5 @@
 
     [StorableConstructor]
-    protected SubScopesMixer(bool deserializing) : base(deserializing) { }
+    protected SubScopesMixer(StorableConstructorFlag _) : base(_) { }
     protected SubScopesMixer(SubScopesMixer original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/SubScopesProcessor.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/SubScopesProcessor.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/SubScopesProcessor.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("SubScopesProcessor", "An operator which contains multiple operators of which each is applied on one sub-scope at the given depth of the current scope. The first operator is applied on the first sub-scope, the second on the second, and so on.")]
-  [StorableClass]
+  [StorableType("A81F34BC-68D9-416D-9E6B-49652B4F7E98")]
   public sealed class SubScopesProcessor : MultiOperator<IOperator> {
     public ValueLookupParameter<BoolValue> ParallelParameter {
@@ -53,5 +53,5 @@
 
     [StorableConstructor]
-    private SubScopesProcessor(bool deserializing) : base(deserializing) { }
+    private SubScopesProcessor(StorableConstructorFlag _) : base(_) { }
     private SubScopesProcessor(SubScopesProcessor original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/SubScopesRemover.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/SubScopesRemover.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/SubScopesRemover.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("SubScopesRemover", "An operator which removes all sub-scopes or one specified sub-scope from the current scope.")]
-  [StorableClass]
+  [StorableType("A9624A3A-F8E9-4B8C-AE89-D243987F3505")]
   public sealed class SubScopesRemover : SingleSuccessorOperator {
     private ValueParameter<BoolValue> RemoveAllSubScopesParameter {
@@ -52,5 +52,5 @@
 
     [StorableConstructor]
-    private SubScopesRemover(bool deserializing) : base(deserializing) { }
+    private SubScopesRemover(StorableConstructorFlag _) : base(_) { }
     private SubScopesRemover(SubScopesRemover original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/SubScopesSorter.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/SubScopesSorter.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/SubScopesSorter.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,5 +24,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("SubScopesSorter", "An operator which sorts the sub-scopes of the current scope.")]
-  [StorableClass]
+  [StorableType("39AAED75-CD24-43EF-86C4-0CC4CA03749C")]
   public sealed class SubScopesSorter : SingleSuccessorOperator {
     private bool descending;
@@ -50,5 +50,5 @@
 
     [StorableConstructor]
-    private SubScopesSorter(bool deserializing) : base(deserializing) { }
+    private SubScopesSorter(StorableConstructorFlag _) : base(_) { }
     private SubScopesSorter(SubScopesSorter original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/UniformSubScopesProcessor.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/UniformSubScopesProcessor.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/UniformSubScopesProcessor.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("UniformSubScopesProcessor", "An operator which applies a specified operator on all sub-scopes at the given depth of the current scope.")]
-  [StorableClass]
+  [StorableType("C224E539-75F9-468C-B04F-2C2EE75D2F73")]
   public sealed class UniformSubScopesProcessor : SingleSuccessorOperator {
     private OperatorParameter OperatorParameter {
@@ -59,5 +59,5 @@
 
     [StorableConstructor]
-    private UniformSubScopesProcessor(bool deserializing) : base(deserializing) { }
+    private UniformSubScopesProcessor(StorableConstructorFlag _) : base(_) { }
     private UniformSubScopesProcessor(UniformSubScopesProcessor original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/ValuesCollector.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/ValuesCollector.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/ValuesCollector.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("ValuesCollector", "An operator which collects the actual values of parameters.")]
-  [StorableClass]
+  [StorableType("83F958A5-AE91-44C9-B329-BC9A36DC4E40")]
   public abstract class ValuesCollector : SingleSuccessorOperator, IOperator {
     [Storable]
@@ -39,5 +39,5 @@
 
     [StorableConstructor]
-    protected ValuesCollector(bool deserializing) : base(deserializing) { }
+    protected ValuesCollector(StorableConstructorFlag _) : base(_) { }
     protected ValuesCollector(ValuesCollector original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/VariableCreator.cs
===================================================================
--- trunk/HeuristicLab.Operators/3.3/VariableCreator.cs	(revision 16430)
+++ trunk/HeuristicLab.Operators/3.3/VariableCreator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,5 +23,5 @@
 using HeuristicLab.Core;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Operators {
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("VariableCreator", "An operator which collects the actual values of parameters and clones them into the current scope.")]
-  [StorableClass]
+  [StorableType("FF3526E7-216C-4F4B-8BBF-F3F67E9FE671")]
   public class VariableCreator : ValuesCollector {
     protected ScopeParameter CurrentScopeParameter {
@@ -40,5 +40,5 @@
 
     [StorableConstructor]
-    protected VariableCreator(bool deserializing) : base(deserializing) { }
+    protected VariableCreator(StorableConstructorFlag _) : base(_) { }
     protected VariableCreator(VariableCreator original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Operators/3.3/packages.config
===================================================================
--- trunk/HeuristicLab.Operators/3.3/packages.config	(revision 16565)
+++ trunk/HeuristicLab.Operators/3.3/packages.config	(revision 16565)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre01" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
